Last Comment Bug 311253 - Bug 298044 broke XPCOM glue dynamic linking for BSD platforms
: Bug 298044 broke XPCOM glue dynamic linking for BSD platforms
Status: RESOLVED FIXED
: fixed1.8
Product: Core
Classification: Components
Component: Embedding: GRE Core (show other bugs)
: Trunk
: x86 Other
: -- major (vote)
: ---
Assigned To: Doug Turner (:dougt)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-05 13:45 PDT by Jeroen Ruigrok van der Werven
Modified: 2005-10-10 15:02 PDT (History)
2 users (show)
benjamin: blocking1.8rc1+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch to support DragonFly, FreeBSD, NetBSD and OpenBSD (415 bytes, patch)
2005-10-05 13:46 PDT, Jeroen Ruigrok van der Werven
benjamin: review+
asa: approval1.8rc1+
Details | Diff | Review

Description Jeroen Ruigrok van der Werven 2005-10-05 13:45:31 PDT
User-Agent:       ELinks/0.10.5 (textmode; DragonFly 1.3.5-DEVELOPMENT i386; 139x65-3)
Build Identifier: 

The Bugzilla bug report 298044 implemented a dynamic xpcom system which, how
wonderful it may be, broke support for a bunch of platforms, notably BSD.
Verifying if these platforms have dlopen()/dlclose() support would have taken 15
minutes with a google or yahoo search.

Reproducible: Always

Steps to Reproduce:
1. Build on a BSD system and try to install
2.
3.



Expected Results:  
To properly support dlopen()/dlclose().
Comment 1 Jeroen Ruigrok van der Werven 2005-10-05 13:46:53 PDT
Created attachment 198621 [details] [diff] [review]
Patch to support DragonFly, FreeBSD, NetBSD and OpenBSD

This should add support for 4 major BSD platforms.  This broke before on my
DragonFly system.
Comment 2 Benjamin Smedberg [:bsmedberg] 2005-10-06 06:25:23 PDT
Comment on attachment 198621 [details] [diff] [review]
Patch to support DragonFly, FreeBSD, NetBSD and OpenBSD

weird, I definitely didn't mean to mark 1.8b5+
Comment 3 Benjamin Smedberg [:bsmedberg] 2005-10-10 15:02:29 PDT
fixed on trunk and 1.8 branch

Note You need to log in before you can comment on or make changes to this bug.